Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

admin/userbox.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: userbox.php 6484 2001-08-17 13:36:01Z jhe $
5 //
6 // Created on: <20-Sep-2000 13:32:11 ce>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezhttptool.php" );
30
31 $ini =& eZINI::instance( 'site.ini' );
32 $Language = $ini->variable( "eZUserMain", "Language" );
33 // $DOC_ROOT = $ini->variable( "eZUserMain", "DocumentRoot" );
34
35 // include_once( "ezuser/classes/ezuser.php" );
36 // include_once( "ezuser/classes/ezusergroup.php" );
37 // include_once( "ezuser/classes/ezmodule.php" );
38 // include_once( "ezuser/classes/ezpermission.php" );
39 // include_once( "ezsession/classes/ezsession.php" );
40
41
42 // Template
43 $t = new eZTemplate( "kernel/ezuser/admin/" . $ini->variable( "eZUserMain", "TemplateDir" ),
44 "kernel/ezuser/admin/intl", $Language, "userbox.php" );
45 $t->setAllStrings();
46
47 $t->set_file( array(
48 "userbox" => "userbox.tpl"
49 ) );
50
51 $user =& eZUser::currentUser();
52 if ( !$user )
53 {
54 print( "Du m� logge inn" );
55 eZHTTPTool::header( "Location: /user/login/" );
56 exit();
57 }
58 $t->set_var( "first_name", $user->firstName() );
59 $t->set_var( "last_name", $user->lastName() );
60 $t->set_var( "style", $SiteDesign );
61 $t->pparse( "output", "userbox" );
62
63 ?>
$t
$t
Definition: admin/userbox.php:43
$user
$user
Definition: admin/userbox.php:51
$Language
$Language
Definition: admin/userbox.php:32
$ini
$ini
Definition: admin/userbox.php:31
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZTemplate
Definition: eztemplate.php:107
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$SiteDesign
$SiteDesign
Definition: ezbulkmail/user/datasupplier.php:31
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.